Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.multimedia
Class MediaPlayParameters.Viability

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.multimedia.MediaPlayParameters.Viability

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Enclosing class:
  MediaPlayParameters

    public static class MediaPlayParameters.Viability

extends PdfObjectWrapper<PdfDictionary>

Media player parameters viability.

Nested Class Summary
`static class` | `MediaPlayParameters.Viability.FitModeEnum`

Method Summary
`MediaPlayParameters.Viability` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`double` | `getDuration()` Gets the temporal duration, corresponding to the notion of simple duration in SMIL.
`MediaPlayParameters.Viability.FitModeEnum` | `getFitMode()` Gets the manner in which the player should treat a visual media type that does not exactly fit the rectangle in which it plays.
`double` | `getRepeatCount()` Gets the number of iterations of the duration to repeat; similar to SMIL's `repeatCount` attribute.
`int` | `getVolume()` Gets the volume level as a percentage of recorded volume level.
`boolean` | `isAutoplay()` Gets whether the media should automatically play when activated.
`boolean` | `isPlayerSpecificControl()` Gets whether to display a player-specific controller user interface (for example, play/pause/stop controls) when playing.
`void` | `setAutoplay(boolean value)`
`void` | `setDuration(double value)`
`void` | `setFitMode(MediaPlayParameters.Viability.FitModeEnum value)`
`void` | `setPlayerSpecificControl(boolean value)`
`void` | `setRepeatCount(double value)`
`void` | `setVolume(int value)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clone

    public MediaPlayParameters.Viability clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getDuration

    public double getDuration()

  Gets the temporal duration, corresponding to the notion of simple duration in SMIL.

  Returns:
    - `Double.NEGATIVE_INFINITY`: intrinsic duration of the associated media;
    - `Double.POSITIVE_INFINITY`: infinite duration;
    - non-infinite positive: explicit duration.

### getFitMode

    public MediaPlayParameters.Viability.FitModeEnum getFitMode()

  Gets the manner in which the player should treat a visual media type that does not exactly fit the rectangle in which it plays.

### getRepeatCount

    public double getRepeatCount()

  Gets the number of iterations of the duration to repeat; similar to SMIL's `repeatCount` attribute.

  Returns:
    - `0`: repeat forever

### getVolume

    public int getVolume()

  Gets the volume level as a percentage of recorded volume level. A zero value is equivalent to mute.

### isAutoplay

    public boolean isAutoplay()

  Gets whether the media should automatically play when activated.

### isPlayerSpecificControl

    public boolean isPlayerSpecificControl()

  Gets whether to display a player-specific controller user interface (for example, play/pause/stop controls) when playing.

### setAutoplay

    public void setAutoplay(boolean value)

  See Also:
    `isAutoplay()`

### setDuration

    public void setDuration(double value)

  See Also:
    `getDuration()`

### setFitMode

    public void setFitMode(MediaPlayParameters.Viability.FitModeEnum value)

  See Also:
    `getFitMode()`

### setPlayerSpecificControl

    public void setPlayerSpecificControl(boolean value)

  See Also:
    `isPlayerSpecificControl()`

### setRepeatCount

    public void setRepeatCount(double value)

  See Also:
    `getRepeatCount()`

### setVolume

    public void setVolume(int value)

  See Also:
    `getVolume()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.